# Update configuration

Update default configurations for a given project

Endpoint: PUT /configuration
Version: 1.0
Security: basicAuth, bearerAuth

## Security:

  - `basicAuth` (unknown)
    http basic

  - `bearerAuth` (unknown)
    oauth2

## Request body:

  - `application/json` (unknown)
    Update default configurations for a given project

## Request fields (application/json):

  - `contact` (object)
    Contains the contact information for the default user.

  - `contact.email` (string)
    The email address of the default user.
    Example: name@email.com

  - `contact.name` (string)
    The name of the default user.
    Example: John Smith

  - `contact.phone` (string)
    The phone number of the default user.
    Example: +15559999

  - `webhookUrl` (string)
    The default webhook URL to use for callbacks.
    Example: my.callback.server

  - `defaultPortTime` (string)
    The default time for porting in numbers. If you don't specify a time in the order this time will be used.
    Example: 09:00:00

  - `defaultPortTimeZone` (string)
    The default time zone for porting in numbers. If you don't specify a time zone in the order, this time zone will be used.
    Enum: "US/Eastern", "US/Central", "US/Mountain", "US/Pacific"

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `contact` (object)
    Contains the contact information for the default user.

  - `contact.email` (string)
    The email address of the default user.
    Example: name@email.com

  - `contact.name` (string)
    The name of the default user.
    Example: John Smith

  - `contact.phone` (string)
    The phone number of the default user.
    Example: +15559999

  - `webhookUrl` (string)
    The default webhook URL to use for callbacks.
    Example: my.callback.server

  - `defaultPortTime` (string)
    The default time for porting in numbers. If you don't specify a time in the order this time will be used.
    Example: 09:00:00

  - `defaultPortTimeZone` (string)
    The default time zone for porting in numbers. If you don't specify a time zone in the order, this time zone will be used.
    Enum: "US/Eastern", "US/Central", "US/Mountain", "US/Pacific"

